(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34286,        884]
NotebookOptionsPosition[     32432,        817]
NotebookOutlinePosition[     32915,        835]
CellTagsIndexPosition[     32872,        832]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "tested 190817 using ",
 StyleBox["SpinDynamica",
  FontSlant->"Italic"],
 " 3.0.1 under ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 11.0"
}], "Text",
 CellChangeTimes->{{3.661342462483639*^9, 3.66134250631325*^9}, {
   3.661342549769909*^9, 3.661342557982389*^9}, {3.661342971467606*^9, 
   3.661342974817833*^9}, {3.6613433573329477`*^9, 3.661343357745117*^9}, 
   3.663827731996285*^9, {3.7038513532816772`*^9, 3.7038513721695166`*^9}, {
   3.7121571153459816`*^9, 3.712157125227037*^9}, {3.7121571583767223`*^9, 
   3.7121571593065968`*^9}}],

Cell[CellGroupData[{

Cell["\<\
propagation of magnetization down a chain of 5 spins-1/2 in the presence of a \
scalar coupling Hamiltonian and a repeating sequence of composite pulses\
\>", "Subsubtitle",
 CellChangeTimes->{{3.507041290706994*^9, 3.507041305274561*^9}, {
   3.5070484416789713`*^9, 3.507048461146389*^9}, {3.5070486073867893`*^9, 
   3.5070486093368387`*^9}, {3.511190672843957*^9, 3.51119068174616*^9}, 
   3.5150856569292717`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<SpinDynamica`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.507040342582673*^9, 3.507040349641611*^9}, {
  3.569518376542592*^9, 3.569518380234803*^9}}],

Cell[BoxData[
 TagBox[
  FrameBox["\<\"SpinDynamica version 3.1.0 loaded\"\>"],
  DisplayForm]], "Print",
 CellChangeTimes->{3.7286345096792088`*^9}],

Cell[BoxData[
 TemplateBox[{
  "ModifyBuiltIn","report",
   "\"The following built-in routines have been modified in SpinDynamica: \\!\
\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"Chop\\\", \\\",\\\", \\\"Dot\\\", \
\\\",\\\", \\\"Duration\\\", \\\",\\\", \\\"Exp\\\", \\\",\\\", \
\\\"Expand\\\", \\\",\\\", \\\"ExpandAll\\\", \\\",\\\", \\\"NumericQ\\\", \\\
\",\\\", \\\"Plus\\\", \\\",\\\", \\\"Power\\\", \\\",\\\", \\\"Simplify\\\", \
\\\",\\\", \\\"Times\\\", \\\",\\\", \\\"WignerD\\\"}], \\\"}\\\"}]\\). \
\\nEvaluate \
??\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\) to \
generate the additional definitions for \
\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\).\"",2,1,
   1,32644610887875715407,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7286345106797047`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nspin", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"SetSpinSystem", "[", "nspin", "]"}]}], "Input",
 CellChangeTimes->{{3.50704035397314*^9, 3.507040357362705*^9}, {
   3.507040396741611*^9, 3.507040417849146*^9}, {3.507040645813807*^9, 
   3.507040650012457*^9}, 3.507040979971705*^9, 3.507041283002343*^9, {
   3.510320787309146*^9, 3.510320810726836*^9}, {3.5103208410647507`*^9, 
   3.51032087069795*^9}, {3.510459117338739*^9, 3.510459141087131*^9}, 
   3.51119054762547*^9, 3.5111905808865957`*^9, 3.511190666330139*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetSpinSystem","set",
   "\"the spin system has been set to \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"3\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"4\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"5\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}]\\)\
\"",2,3,2,32644610887875715407,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.507040358044127*^9, {3.507040404022861*^9, 3.507040418192422*^9}, 
   3.507040650712489*^9, 3.5070407773967047`*^9, 3.507040983762928*^9, 
   3.50704130844981*^9, 3.507048475716146*^9, 3.5070486644764233`*^9, {
   3.5103207171799717`*^9, 3.510320736349639*^9}, {3.510320788889143*^9, 
   3.510320842582528*^9}, 3.510320872942048*^9, {3.5104591193566437`*^9, 
   3.510459143697318*^9}, 3.511190472638671*^9, {3.511190557749084*^9, 
   3.5111905826924*^9}, 3.511190670031033*^9, 3.5131629131544933`*^9, 
   3.5323515215576878`*^9, 3.534471305095932*^9, 3.569518383554993*^9, {
   3.703929215401586*^9, 3.703929233762802*^9}, {3.7121543249513006`*^9, 
   3.7121543536210938`*^9}, 3.7121545116972528`*^9, 3.712155045892932*^9, 
   3.728634510807748*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"3\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"4\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"5\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"BasisLabels\\\", \
\\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \\\"]\\\"}]\\).\"",2,3,3,
   32644610887875715407,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.507040358044127*^9, {3.507040404022861*^9, 3.507040418192422*^9}, 
   3.507040650712489*^9, 3.5070407773967047`*^9, 3.507040983762928*^9, 
   3.50704130844981*^9, 3.507048475716146*^9, 3.5070486644764233`*^9, {
   3.5103207171799717`*^9, 3.510320736349639*^9}, {3.510320788889143*^9, 
   3.510320842582528*^9}, 3.510320872942048*^9, {3.5104591193566437`*^9, 
   3.510459143697318*^9}, 3.511190472638671*^9, {3.511190557749084*^9, 
   3.5111905826924*^9}, 3.511190670031033*^9, 3.5131629131544933`*^9, 
   3.5323515215576878`*^9, 3.534471305095932*^9, 3.569518383554993*^9, {
   3.703929215401586*^9, 3.703929233762802*^9}, {3.7121543249513006`*^9, 
   3.7121543536210938`*^9}, 3.7121545116972528`*^9, 3.712155045892932*^9, 
   3.7286345108373227`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["define a chain of nearest neighbour J-couplings, each 20 Hz", \
"Subsubsection",
 CellChangeTimes->{{3.5070410424444723`*^9, 3.507041058739995*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HJ", "=", 
  RowBox[{"Plus", "@@", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"2", "\[Pi]", " ", "20", " ", 
      RowBox[{
       RowBox[{"opI", "[", "i", "]"}], ".", 
       RowBox[{"opI", "[", 
        RowBox[{"i", "+", "1"}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nspin", "-", "1"}]}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.507040362604999*^9, 3.507040410746176*^9}, {
  3.507040653319131*^9, 3.5070406539094877`*^9}, {3.5070410611821547`*^9, 
  3.507041061341621*^9}, {3.5070484672718897`*^9, 3.5070484686444387`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"40", " ", "\[Pi]", " ", 
   RowBox[{"(", 
    RowBox[{
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "x"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "y"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "z"}]],
        DisplayForm]}],
      DisplayForm]}], ")"}]}], "+", 
  RowBox[{"40", " ", "\[Pi]", " ", 
   RowBox[{"(", 
    RowBox[{
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"3", "x"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"3", "y"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"3", "z"}]],
        DisplayForm]}],
      DisplayForm]}], ")"}]}], "+", 
  RowBox[{"40", " ", "\[Pi]", " ", 
   RowBox[{"(", 
    RowBox[{
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"3", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"4", "x"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"3", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"4", "y"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"3", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"4", "z"}]],
        DisplayForm]}],
      DisplayForm]}], ")"}]}], "+", 
  RowBox[{"40", " ", "\[Pi]", " ", 
   RowBox[{"(", 
    RowBox[{
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"4", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"5", "x"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"4", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"5", "y"}]],
        DisplayForm]}],
      DisplayForm], "+", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"4", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"5", "z"}]],
        DisplayForm]}],
      DisplayForm]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.5070404114384003`*^9, 3.507040420815625*^9}, 
   3.507040654593973*^9, 3.507040777471599*^9, 3.5070409838314037`*^9, 
   3.5070410650737553`*^9, 3.5070413084856253`*^9, 3.507048475974012*^9, 
   3.507048664541277*^9, {3.510320717233699*^9, 3.510320736418625*^9}, {
   3.510320788925852*^9, 3.5103208426236877`*^9}, 3.510320872984476*^9, {
   3.510459119423346*^9, 3.510459143782823*^9}, 3.511190472680682*^9, {
   3.511190558313171*^9, 3.511190582730741*^9}, 3.511190670074626*^9, 
   3.513162913234446*^9, 3.532351521616356*^9, 3.534471305139386*^9, 
   3.5695183878512387`*^9, {3.7039292155422597`*^9, 3.7039292338253064`*^9}, {
   3.7121543250709887`*^9, 3.712154353695078*^9}, 3.712154511808832*^9, 
   3.7121550459489784`*^9, 3.728634510890089*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
define a composite pulse with a rf field giving a nutation frequency of 2 \
kHz. \
\>", "Subsubsection",
 CellChangeTimes->{{3.507048481187128*^9, 3.5070485173590727`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]nut", "=", 
   RowBox[{"2", "\[Pi]", "\[Times]", "2", " ", 
    RowBox[{"10", "^", "3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Tau]360", "=", 
   RowBox[{"2", 
    RowBox[{"\[Pi]", "/", "\[Omega]nut"}]}]}], ";", " ", 
  RowBox[{"\[Tau]180", "=", 
   RowBox[{"\[Tau]360", "/", "2"}]}], ";", " ", 
  RowBox[{"\[Tau]90", "=", 
   RowBox[{"\[Tau]360", "/", "4"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CompositePulse", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Omega]nut", " ", 
        RowBox[{"opI", "[", "\"\<x\>\"", "]"}]}], ",", "\[Tau]90"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Omega]nut", " ", 
        RowBox[{"opI", "[", "\"\<y\>\"", "]"}]}], ",", "\[Tau]180"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Omega]nut", " ", 
        RowBox[{"opI", "[", "\"\<x\>\"", "]"}]}], ",", "\[Tau]90"}], "}"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"T", "=", 
  RowBox[{"EventDuration", "[", "CompositePulse", "]"}]}]}], "Input",
 CellChangeTimes->{{3.507040444283318*^9, 3.507040527568283*^9}, {
   3.507041553525696*^9, 3.50704156703692*^9}, {3.5070485214430227`*^9, 
   3.5070485313208027`*^9}, 3.510320732436962*^9, {3.7039292198551917`*^9, 
   3.7039292216366167`*^9}}],

Cell[BoxData[
 FractionBox["1", "2000"]], "Output",
 CellChangeTimes->{
  3.507048531953126*^9, 3.50704866458976*^9, {3.5103207173136463`*^9, 
   3.510320736469475*^9}, {3.510320788973237*^9, 3.510320842669002*^9}, 
   3.510320873028873*^9, {3.510459119479374*^9, 3.5104591438208714`*^9}, 
   3.5111904727555943`*^9, {3.5111905583558197`*^9, 3.511190582808926*^9}, 
   3.511190670120659*^9, 3.513162913267235*^9, 3.532351521660811*^9, 
   3.53447130522293*^9, 3.5695183903463817`*^9, {3.7039292156985226`*^9, 
   3.703929233840934*^9}, {3.7121543251300116`*^9, 3.7121543538281727`*^9}, 
   3.7121545118668427`*^9, 3.7121550459800005`*^9, 3.728634510929784*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["trajectory of Iz for the last spin in the chain", "Subsection",
 CellChangeTimes->{{3.50704087652247*^9, 3.507040888201283*^9}}],

Cell["\<\
use the option TableCoordinates to label with the pulse sequence duration, in \
units of ms\
\>", "Text",
 CellChangeTimes->{{3.507041616612813*^9, 3.507041627573414*^9}, {
  3.507041668800037*^9, 3.50704167222379*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"table", "=", "\[IndentingNewLine]", 
   RowBox[{"TransformationAmplitudeTable", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"opI", "[", 
       RowBox[{"1", ",", "\"\<z\>\""}], "]"}], "->", 
      RowBox[{"opI", "[", 
       RowBox[{"nspin", ",", "\"\<z\>\""}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Repeat", "[", 
      RowBox[{"CompositePulse", ",", "n"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "200", ",", "4"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BackgroundGenerator", "\[Rule]", "HJ"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"TableCoordinates", "\[Rule]", 
      RowBox[{"n", " ", "T", " ", "\[Times]", 
       RowBox[{"10", "^", "3"}]}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50704060343624*^9, 3.507040621020193*^9}, {
   3.507040665600729*^9, 3.5070406937064037`*^9}, {3.507040824305759*^9, 
   3.507040853371189*^9}, {3.507040994996625*^9, 3.5070410174193*^9}, {
   3.507041082505117*^9, 3.5070410836692543`*^9}, {3.507041169134553*^9, 
   3.5070412108217154`*^9}, {3.507041577246202*^9, 3.5070416022402287`*^9}, {
   3.507048625549137*^9, 3.507048627539466*^9}, {3.5103206253281307`*^9, 
   3.510320631724062*^9}, 3.7039292293092613`*^9, 3.7121543221355095`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetOperatorBasis","set",
   "\"the operator basis has been set to \
\\!\\(\\*RowBox[{\\\"ShiftAndZOperatorBasis\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"3\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"4\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"5\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"Sorted\\\", \\\"\[Rule]\\\", \
\\\"CoherenceOrder\\\"}]}], \\\"]\\\"}]\\).\"",2,9,4,32644610887875715407,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.728634519029281*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"table", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Medium", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<time /ms\>\"", ",", "\"\<magnetization\>\""}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.50704062851184*^9, 3.507040632635504*^9}, {
  3.5070407918144484`*^9, 3.5070408002854*^9}, {3.507041024299203*^9, 
  3.50704102742695*^9}, {3.507041203655401*^9, 3.507041204405561*^9}, {
  3.510320649949336*^9, 3.510320677390395*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwBmIQjQM4AHFBZvNdWwhXAMgv6HTjiLWD8CWA/De3Js1f
BuUrODAcMGJfqXcbyldxYMj0qTBwY7aH8DUcGHal2zyvV4bydRw0tE/qV6nY
Q/kGDgfuVzMk3wyB8o0cPhhu4TgakgHlmzgs2b7qZ3FmJZRv5mDd92CriUkH
lG/hsLuocPqfgKlQvpWDy9zfDqVdC6F8G4fltzx2XDdYDeXbORzZu3TSuZ+b
oXwHhxsxMc+3fN0N5Ts6cD3exa+y/RCU7+Rwf4P/uttcJ6B8Zwe3xFyDtu1n
oXwXh7wTwSYrtl6E8l0dqmScf5enXIHy3RwulCTeU995Dcp3d7BxNVf07roB
5Xs48Ku3cN/eeRPK93Rgi5Pkv2J5C8r3cjjTOJ3nFh+M7+3gsEznWGwATL2P
g+qH3hR5NZh5vg6ObiXKoYdh9vk55EWlpconXIXy/R0mnZVbbW0Ec1+AA5fz
n52caZch/IYABye2pgWvJaB8hkCHzZEPdl8OhckHOhiUmYnXiMD0BzkcN5j0
Oswaan5DkIOa4M6OW4th9gc7PJZUP5GrAHVfQ7DDihLFb3+aYO4PcfDwSOLR
WQz1X0OIA1/YSSXT5NtQ+VCHVTu8DY5sgvIbQh1Es79Nru+HyYc5ZPVWxIcx
w+TDHBK0eoT4FWHhFe6wh/3av5v/YfaHO/jynXM/u+06VD7CIenLzKvqkVD3
NkQ4sD1mkmD/AvNfpMOFuGrh172X7QH4s9fn
      "]]}}, {}, {}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox["\"magnetization\"", TraditionalForm], None}, {
     FormBox["\"time /ms\"", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->Directive[Medium, FontFamily -> "Helvetica"],
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 100.}, {0, 0.43278603283296013`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.511190563444515*^9, 3.51119061428721*^9, 3.51316292294398*^9, 
   3.532351678600926*^9, 3.534471486229918*^9, 3.5695185170266275`*^9, {
   3.7039292160110235`*^9, 3.7039292232148976`*^9}, 3.7039294039420815`*^9, 
   3.712154791187955*^9, 3.7121553584269505`*^9, 3.7286345744745927`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["trajectory for all magnetization components at the same time", \
"Subsection",
 CellChangeTimes->{{3.50704087652247*^9, 3.507040888201283*^9}, {
  3.5070413474623003`*^9, 3.50704135470158*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Iztable", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"opI", "[", 
     RowBox[{"i", ",", "\"\<z\>\""}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "nspin"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.507041361256653*^9, 3.50704139517974*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    SubscriptBox["I", 
     RowBox[{"1", "z"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"2", "z"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"3", "z"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"4", "z"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"5", "z"}]],
    DisplayForm]}], "}"}]], "Output",
 CellChangeTimes->{
  3.507041403125646*^9, 3.507041471488647*^9, 3.507041677767315*^9, 
   3.507041715185132*^9, 3.507041754627359*^9, 3.50704860505866*^9, 
   3.507048725825326*^9, 3.510320793238463*^9, 3.510320845310048*^9, 
   3.510320927671812*^9, 3.5104591221545362`*^9, 3.511190564929809*^9, 
   3.5111906143347683`*^9, 3.513162922975897*^9, 3.532351678650215*^9, 
   3.534471486279284*^9, 3.5695185209118495`*^9, {3.7039292160110235`*^9, 
   3.7039292232304964`*^9}, 3.7039294060506754`*^9, 3.7121547912074833`*^9, 
   3.7121553584439616`*^9, 3.728634574489133*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"table", "=", "\[IndentingNewLine]", 
   RowBox[{"TransformationAmplitudeTable", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"opI", "[", 
       RowBox[{"1", ",", "\"\<z\>\""}], "]"}], "\[Rule]", "Iztable"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Repeat", "[", 
      RowBox[{"CompositePulse", ",", "n"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "200", ",", "4"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BackgroundGenerator", "\[Rule]", "HJ"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"TableCoordinates", "\[Rule]", 
      RowBox[{"n", " ", "T", " ", "\[Times]", 
       RowBox[{"10", "^", "3"}]}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50704060343624*^9, 3.507040621020193*^9}, {
   3.507040665600729*^9, 3.5070406937064037`*^9}, {3.507040824305759*^9, 
   3.507040853371189*^9}, {3.507040994996625*^9, 3.5070410174193*^9}, {
   3.507041082505117*^9, 3.5070410836692543`*^9}, {3.507041169134553*^9, 
   3.5070412108217154`*^9}, {3.5070414026361856`*^9, 
   3.5070414573743677`*^9}, {3.507041645618038*^9, 3.507041655124372*^9}, {
   3.507041708464561*^9, 3.507041711429739*^9}, 3.507041750242114*^9, 
   3.5070486889628077`*^9, {3.510320687879463*^9, 3.510320695815441*^9}, {
   3.510320851338459*^9, 3.5103208614574966`*^9}, 3.510459130321137*^9, 
   3.703929232153298*^9, 3.712154322183576*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"table", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Medium", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<time /ms\>\"", ",", "\"\<magnetization\>\""}], "}"}]}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{
         RowBox[{"ColorData", "[", 
          RowBox[{"3", ",", "\"\<ColorList\>\""}], "]"}], 
         "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "nspin"}], "}"}]}], "]"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.50704062851184*^9, 3.507040632635504*^9}, {
   3.5070407918144484`*^9, 3.5070408002854*^9}, {3.507041024299203*^9, 
   3.50704102742695*^9}, {3.507041203655401*^9, 3.507041204405561*^9}, {
   3.50704165930649*^9, 3.507041664688945*^9}, {3.510320711296782*^9, 
   3.510320713240716*^9}, {3.5103210917787113`*^9, 3.510321102474935*^9}, 
   3.510321196688292*^9, {3.510321305406592*^9, 3.510321335126672*^9}, 
   3.510321372105905*^9, {3.510321460645857*^9, 3.510321487177446*^9}, {
   3.510321597719694*^9, 3.510321614647065*^9}, {3.510321652691855*^9, 
   3.510321652931115*^9}, 3.51032173896905*^9, {3.51032178396418*^9, 
   3.5103218018264093`*^9}, {3.510321831838127*^9, 3.510321846190528*^9}, {
   3.510321892769539*^9, 3.510321892927513*^9}, {3.5103219743351*^9, 
   3.5103220335841208`*^9}, {3.510322185658462*^9, 3.510322248301526*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0., 0., 0.], PointSize[0.007333333333333334], Thickness[Large], 
     LineBox[CompressedData["
1:eJxV0WtIk1EYB/DZla0LGromGKwLoeWHMBNdrv3Vcm+aczd1FerQnBBC+yAU
JTo2Jygh2o3UrKSVfhitZgzEzdmm5ZIwlGh4WWRFpqQiDT8YdoHnfOjA4Zwf
/5fnOee8e8suqSs28Hi8o3/nv/X/sSyjDXrVd43ddUvkSLSOeuo7BItkEYTf
Ex9y/gWyGE+GHIPi0Bz5AFbWb2s2dXwlx+Pio8euGuksORH6zmjrFD9EPgJV
WD/syA2Sk2BPCMUJmybIyag91lKa+X6MnALuavjd/dAbcioS8gSK+NXXZAn4
myNijH2vyOngjHrbfDfzCYxbvZBlsO8Baz6KnVEj5AyYC84rrV7mTEimD8vT
owLkLFTP8wemfrD8JNZFdb6DOuZTcFUHy1sNrH42zAhIPqex/nL0tFxTVP0c
InPIMS9bs3r95NNo/+ioMjT5yDloW73T9MnykpyL7MwUdWPXIPkMlOfW2p2D
XnIeshPFihdXBsgKrFQYOsOVHnI+XEsX9ohuuclKNFvGdi9sI5uUuFwbSCv5
0k+5CjWNsfLZJJar8HbOE2vfwuqpMXFcq60vo34mNVLb/NDEsfNpsH1rl24m
mc5v0iBmIzdsK2f300LgLmnouU73N2mx42nk8/Ub7H0KsGZvPrSzeJjyAkil
TklpkMwrhNuy+ED1i+WFcPb7bkpHWV6EZxF9+8dVLC/CpMe164ON1ddhn2b6
m2+G9dfB8ts9OSJk/+Ms7nENnuhKn+wPyCfqpA==
      "]]}, 
    {RGBColor[0.996078431372549, 0.3607843137254902, 0.027450980392156862`], 
     PointSize[0.007333333333333334], Thickness[Large], 
     LineBox[CompressedData["
1:eJxTTMoPSmViYGAwBmIQjQM4vGK1cNv2td8ewhVweLH5SNys6+ugfAkH+YN2
HHsjDkD5Cg697YUPG3adgvJVHCxs9hZv2HsJytdweBIfq31k/nUoX8fhXvJ7
VYPC21C+gcNLhcRtrOfvQvlGDiUZqjf7JtyD8k0cZOZPjRM+AZM3czhvH/fb
bBdMv4VDmewUTttzN6B8K4dV7QpuXVVXoXwbh4ZniU8EDGHusXOYYdyR+3Tu
OSjfwUE+I/pYtjLM/Y4OuQt2h/irHYfynRxO9b2TK5t+FMp3dvgU7fpB0wTG
d3HQ2XAytng2jO/qcKn8oRZv6jEo382B61T5gZmmMPPcHS64THW+cgbG93CI
cD1/5A/3CSjf02EO+xHuzC8weS8HpTt1Wovmw/jeDjs8xX90GsP4Pg7LEpq/
N12F2efrsOq1/syy+TC+n8NiFnvlNzNgfH+Hh6umykVuhfEDHKJqAu2WXofy
GwIcTJrDnxy5CZMPdPD7k1rUPA0mH+iwinXVEevPMP8GOZh5LN8b/fwIVD7I
ocH/zBrJhsNQ+WCHipTN36bePwiVD3Zw5mncNtkcln5CHG6sMjNf1LgXKh/i
cGja/tPhibuh8qEOS7YVu0vG7YLKhzpcai9cxTwXymcIc9D7YjRHSGAPVD7M
Qc6Rc8q6sn1Q+XAHo3k/J0zfDLWvIdyh6OS9uMv6h6DyEQ4LJjB/r86Furch
wuHTq7cGpsZQ/zBEOqzKK8z5EHnEHgDgUusF
      "]]}, 
    {RGBColor[0.996078431372549, 0.9882352941176471, 0.03529411764705882], 
     PointSize[0.007333333333333334], Thickness[Large], 
     LineBox[CompressedData["
1:eJx10F1IU2Ecx/GtCeVMmihkCMvmKI3CabrktPRny2bm3tVNklJhQZSWdtEw
zMOIkiLoqjeyrLRktSJLmynhclauafmSLBbNijC7yYiVUI4K/89lBw6HD9/n
PM//nFXVB0y2RQKBYMPf+9/zPxcEnY5vTemSvAVKkHy8MCm/Xk9OxOw5t681
XE9ORiA7/nNK5BRZDmforLVRe4WcCpujMveq3EVeh5LKieY6z0OyAlOjXZsX
2z3kTBiyVYa81mfkLBQu35MuGhwmK7H3hlKTcn2UnIOx1Y37bvnGyRxcx8Sd
FWtek1WYmx9ovN/OnItY43BBxMQMSKXOO+fLJ8j5EDje7Rr+OUbeAntVc0bd
IXaeGsIINzS59BV5K1LTgl8rp9l8BZDKcriRJj95G8yqj3PC0AuyBh3S3BnN
OHMhvj/XXjoRw9Zvxy8b/8O5lrkIbbUZu2PfsvU7IIjx68SffORitPfUSk4r
hshaZB5OOjMy9pSsQ1u0yB2O8pL1sN+2wL+C/W8Dqg11X94E+xbMG1BUEX4Z
53JTN8LYN6BYIu+mbsROr352f0MXdRPE6l635TLrJlxLk8WHN/ZQNyPwoWb+
fS/b34yK/qoWhbqfegmmtJNHRPM0D18CmVzI/dYOUC+Fn5uxIYHm50sRvPC4
Yb2OfU8Z4p4kZDkTWS9DsaKl4e5N9r4FjzbJQx0cmbdg8uL0wehlrFuh9AZ8
3WbWrThpi1LfW8n2L8dRTyb/oGYw7w/Fu+Bs
      "]]}, 
    {RGBColor[0.5411764705882353, 0.7137254901960784, 0.027450980392156862`], 
     PointSize[0.007333333333333334], Thickness[Large], 
     LineBox[CompressedData["
1:eJx10WtIk1Ecx/GnwNKSXGkUzcxRidWyMpEMcT/N1ny8bXN7VLpQhqWs3KKC
IFdbMbTMS4FQovNFUIq0UraRSbR5mW3L4WWVlO1FRGpZoGSKb8rw/7zswOHw
4cuBcxEVaZXFyxmG2b84/63/GWAYsU0SrU9ZomDR9ePrz4+RN4K5NX9fWhYu
WXI0DHGy+T+uJPI2XDHVhwT8HDkWdcsCCtEWLVmMiDsnKj48MJL34nhubMyo
9C45HiVPfOWbM8zkBKzTp8ujd7SQE9F/MujlsKudfACjc+5SX+Fz8kHMzI6o
MvCKnIyoutRWLtBNTkFDn6d8Tt9HBqyfTq1+F9lPTkXw1gvV5y7yToNYZKqs
LXaRD0F9bKDGFdpLTsdgeUKFtdNBPgyPLswofd9JliK0eZ+56FoH+QiaglaF
mI62kmVINrWsDF7xkJyBNR9Pey9X8WaxeyKG/X67jZyJoKRNtmzWRs5C5bOJ
7qcN/H2zcX2hq8Tu4e+Xg/GQlKovP7zkXPjZteZdzkGyHANu9kz8r+ElG+S4
ZPz87a3aT10BKzc7tcdNNijQIZzuaVbwXYmzmVx8r2CEuhIbdPauackQ9Tyw
2kciR5aPeh7mpPcWGoUe6ioIBRr3Ti29r0EFzn518ufjHupq1HoTNZELTupq
DNWUZs9oyAwH2faZqJwxvnPoiLp5oymM35+PqQh9WZKD/suQj1Tn1+p2C/+f
BZBqw9teWF5TL8DvSdaYZuHPV4hGdyBOZ3sj+Qtz2OJ0
      "]]}, 
    {RGBColor[0.1450980392156863, 0.43529411764705883`, 0.3843137254901961], 
     PointSize[0.007333333333333334], Thickness[Large], 
     LineBox[CompressedData["
1:eJxTTMoPSmViYGAwBmIQjQM4AHFBZvNdWwhXAMgv6HTjiLWD8CWA/De3Js1f
BuUrODAcMGJfqXcbyldxYMj0qTBwY7aH8DUcGHal2zyvV4bydRw0tE/qV6nY
Q/kGDgfuVzMk3wyB8o0cPhhu4TgakgHlmzgs2b7qZ3FmJZRv5mDd92CriUkH
lG/hsLuocPqfgKlQvpWDy9zfDqVdC6F8G4fltzx2XDdYDeXbORzZu3TSuZ+b
oXwHhxsxMc+3fN0N5Ts6cD3exa+y/RCU7+Rwf4P/uttcJ6B8Zwe3xFyDtu1n
oXwXh7wTwSYrtl6E8l0dqmScf5enXIHy3RwulCTeU995Dcp3d7BxNVf07roB
5Xs48Ku3cN/eeRPK93Rgi5Pkv2J5C8r3cjjTOJ3nFh+M7+3gsEznWGwATL2P
g+qH3hR5NZh5vg6ObiXKoYdh9vk55EWlpconXIXy/R0mnZVbbW0Ec1+AA5fz
n52caZch/IYABye2pgWvJaB8hkCHzZEPdl8OhckHOhiUmYnXiMD0BzkcN5j0
Oswaan5DkIOa4M6OW4th9gc7PJZUP5GrAHVfQ7DDihLFb3+aYO4PcfDwSOLR
WQz1X0OIA1/YSSXT5NtQ+VCHVTu8DY5sgvIbQh1Es79Nru+HyYc5ZPVWxIcx
w+TDHBK0eoT4FWHhFe6wh/3av5v/YfaHO/jynXM/u+06VD7CIenLzKvqkVD3
NkQ4sD1mkmD/AvNfpMOFuGrh172X7QH4s9fn
      "]]}}, {}, {}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{False, False},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{
     FormBox["\"magnetization\"", TraditionalForm], None}, {
     FormBox["\"time /ms\"", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->Directive[Medium, FontFamily -> "Helvetica"],
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 100.}, {0, 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5111905702988987`*^9, 3.511190647315762*^9, 3.513162932968402*^9, 
   3.5323517056538553`*^9, 3.534471536422785*^9, 3.569518654241475*^9, {
   3.703929216307927*^9, 3.70392922351182*^9}, 3.703929466508339*^9, 
   3.712155045815205*^9, 3.7121556658925495`*^9, 3.728634626028638*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1440, 877},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"mhl-default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 573, 14, 29, "Text"],
Cell[CellGroupData[{
Cell[1143, 38, 428, 7, 28, "Subsubtitle"],
Cell[CellGroupData[{
Cell[1596, 49, 193, 3, 29, "Input"],
Cell[1792, 54, 149, 4, 34, "Print"],
Cell[1944, 60, 838, 15, 39, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2819, 80, 571, 9, 48, "Input"],
Cell[3393, 91, 1556, 25, 40, "Message"],
Cell[4952, 118, 1701, 27, 40, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6690, 150, 154, 2, 27, "Subsubsection"],
Cell[CellGroupData[{
Cell[6869, 156, 620, 15, 29, "Input"],
Cell[7492, 173, 4978, 180, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12519, 359, 182, 4, 27, "Subsubsection"],
Cell[CellGroupData[{
Cell[12726, 367, 1376, 37, 84, "Input"],
Cell[14105, 406, 660, 10, 43, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14814, 422, 134, 1, 36, "Subsection"],
Cell[14951, 425, 229, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[15205, 434, 1375, 28, 156, "Input"],
Cell[16583, 464, 991, 17, 40, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17611, 486, 844, 18, 66, "Input"],
Cell[18458, 506, 2566, 54, 249, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21073, 566, 199, 3, 36, "Subsection"],
Cell[CellGroupData[{
Cell[21297, 573, 307, 8, 29, "Input"],
Cell[21607, 583, 1047, 31, 29, "Output"]
}, Open  ]],
Cell[22669, 617, 1482, 29, 156, "Input"],
Cell[CellGroupData[{
Cell[24176, 650, 1888, 38, 84, "Input"],
Cell[26067, 690, 6325, 122, 249, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

